summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorRalph Giles <giles@xiph.org>2003-10-23 10:30:08 +0000
committerRalph Giles <giles@xiph.org>2003-10-23 10:30:08 +0000
commitf682b47586eb5d1ada3c71f93a4a3971e82f0a11 (patch)
tree9122267e2b488585640f9114e2fec35ed7a0093e /autogen.sh
parent70964cd171eadb78909b1f65d953cb69aabfa1c2 (diff)
downloadlibvorbis-git-f682b47586eb5d1ada3c71f93a4a3971e82f0a11.tar.gz
Continuing autotools creeping feature infection. Have autogen.sh fall
back to glibtoolize (as it's shipped by apple on macosx) if libtoolize is not available. Bug 363. svn path=/trunk/vorbis/; revision=5497
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh18
1 files changed, 15 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index 5b0d1540..6d1cf74c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -11,6 +11,7 @@ test -z "$srcdir" && srcdir=.
cd "$srcdir"
DIE=0
+echo "checking for autoconf... "
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $package."
@@ -19,6 +20,7 @@ DIE=0
DIE=1
}
+echo "checking for automake... "
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $package."
@@ -28,7 +30,17 @@ DIE=0
DIE=1
}
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+echo -n "checking for libtool... "
+for LIBTOOLIZE in libtoolize glibtoolize nope; do
+ (which $LIBTOOLIZE) > /dev/null 2>&1 && break
+done
+if test x$LIBTOOLIZE = xnope; then
+ echo "nope."
+ LIBTOOLIZE=libtoolize
+else
+ echo $LIBTOOLIZE
+fi
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile $package."
echo "Download the appropriate package for your system,"
@@ -52,8 +64,8 @@ echo " aclocal $ACLOCAL_FLAGS"
aclocal $ACLOCAL_FLAGS
#echo " autoheader"
#autoheader
-echo " libtoolize --automake"
-libtoolize --automake
+echo " $LIBTOOLIZE --automake"
+$LIBTOOLIZE --automake
echo " automake --add-missing $AUTOMAKE_FLAGS"
automake --add-missing $AUTOMAKE_FLAGS
echo " autoconf"